VEUSZ(1)                           Veusz                          VEUSZ(1)

NAME
       Veusz - a scientific plotting and graphing application.

SYNOPSIS
       veusz [options] [document.vsz]...

DESCRIPTION
       Veusz is a scientific plotting and graphing package. It is designed
       to create publication-ready output in a variety of different output
       formats. Graphs are built-up combining plotting widgets. Veusz has
       a GUI user interface (started with the "veusz" command), a Python
       module interface and a scripting interface.

       If started without command line arguments, Veusz will open up with
       a new empty document. The program will otherwise open the listed
       documents.

OPTIONS
       --unsafe-mode
               Do  not  check  opened  scripts  for the presence of unsafe
               Python commands. This allows you to create or open complete
               Python scripts with Veusz commands  if  they  come  from  a
               trusted source.

       --listen
               Read  Veusz  commands  from  stdin,  executing  them,  then
               writing the results to stdout. This option replaces the old
               veusz_listen.

               In this mode Veusz does not read any input  documents,  but
               will  use  the  first argument to the program as the window
               title, if given.

       --quiet If in listening mode, do not open a window  before  running
               commands, but execute them quietly.

       --export=FILE
               Export  the next Veusz document file on the command line to
               the graphics file FILE. Supported file types  include  EPS,
               PDF,  SVG,  PNG,  BMP,  JPG  and  XPM. The extension of the
               output file is used to determine the  output  file  format.
               There  should  be as many export options specified as input
               Veusz documents on the command line.

       --export-option=OPT
               Adds the option given when exporting. Supported options are
               dpi=DPI giving  the  resolution  for  bitmap  output  files
               (default  100),  color=True/False  to  switch to monochrome
               output (default True), page=[X,...] gives a list  of  pages
               to  export  (default  [0]),  where  the  page  numbers  are
               numbered from 0, antialias=True/False enables  or  disables
               antialiasing   in   bitmap  output  files  (default  True),
               quality=VAL gives the  JPEG  quality  value  (default  85),
               backcolor='#RRGGBBAA'  gives the background color of bitmap
               files (default '#ffffff00'), pdfdpi=DPI gives the DPI  when
               outputting    to    PDF    files    (default    150)    and
               svgtextastext=True/False outputs text in SVG files as text,
               rather than as curves (default False).

       --veusz-plugin=FILE
               Loads the Veusz  plugin  FILE  when  starting  Veusz.  This
               option  provides  a  per-session  alternative to adding the
               plugin in the preferences dialog box.

       --help  Displays the options to the program and exits.

       --version
               Displays information about the currently installed  version
               and exits.

BUGS
       Please report bugs at https://github.com/veusz/veusz/issues

AUTHORS
       Veusz was written by Jeremy Sanders <jeremy@jeremysanders.net>.

       This    manual    page    was    written    by    Jeremy    Sanders
       <jeremy@jeremysanders.net>.

COPYRIGHT
       Copyright (C) 2003-2025 Jeremy Sanders <jeremy@jeremysanders.net>.

       This program is free  software;  you  can  redistribute  it  and/or
       modify  it  under  the  terms  of the GNU General Public License as
       published by the Free Software Foundation; either version 2, or (at
       your option) any later version.

       On Debian GNU/Linux systems, the complete text of the  GNU  General
       Public License can be found in `/usr/share/common-licenses/GPL'.

4.1                             2025-06-13                        VEUSZ(1)
